#!/bin/bash
BOOT_ROM_SIZE=10

node=$1
sleep 1

umount ${node}"1"

echo "Making partitions..."
dd if=/dev/zero of=${node} bs=1024 count=1
echo $node
A=$node"1"
echo $A
sfdisk --force -uM ${node} << EOF
${BOOT_ROM_SIZE},,83
EOF

echo "Formating partitions..."

mkfs.ext3 -j ${node}"1"


echo "Copy system partition..."
mkdir /mountpoint
mount ${node}"1" /mountpoint

sleep 1
tar -jxvf rootfs.tar.bz2 -C /mountpoint

umount /mountpoint

sync
#umount /mnt/system


sync

sync

echo "Install boot loader and kernel..."
dd if=u-boot-mx6q-sabresd.bin of=${node} bs=512 seek=2 skip=2
sync
dd if=uImage of=${node} bs=1M seek=1
sync
sync
echo "Done."
